Update of /cvsroot/sbcl/sbcl/tests
In directory sc8-pr-cvs8.sourceforge.net:/tmp/cvs-serv15242/tests
Modified Files:
compiler.test.sh expect.sh
Log Message:
1.0.16.42: Fix LOCALLY in fopcompiled context
Patch by Juho Snellman; gentle prodding by Attila Lendvai.
Index: compiler.test.sh
===================================================================
RCS file: /cvsroot/sbcl/sbcl/tests/compiler.test.sh,v
retrieving revision 1.22
retrieving revision 1.23
diff -u -d -r1.22 -r1.23
--- compiler.test.sh 28 Dec 2007 19:46:57 -0000 1.22
+++ compiler.test.sh 21 May 2008 12:25:44 -0000 1.23
@@ -379,5 +379,10 @@
EOF
expect_aborted_compile $tmpfilename
+cat > $tmpfilename <<EOF
+(if t (locally))
+EOF
+expect_clean_cload $tmpfilename
+
# success
exit $EXIT_TEST_WIN
Index: expect.sh
===================================================================
RCS file: /cvsroot/sbcl/sbcl/tests/expect.sh,v
retrieving revision 1.6
retrieving revision 1.7
diff -u -d -r1.6 -r1.7
--- expect.sh 28 Dec 2007 19:46:57 -0000 1.6
+++ expect.sh 21 May 2008 12:25:44 -0000 1.7
@@ -30,6 +30,19 @@
check_status_maybe_lose load-into-interpreter $?
}
+expect_clean_cload ()
+{
+ expect_clean_compile $1
+ run_sbcl <<EOF
+ (multiple-value-bind (value0 value1)
+ (ignore-errors (load (compile-file-pathname "$1")))
+ (assert value0)
+ (assert (null value1)))
+ (sb-ext:quit :unix-status $EXIT_LISP_WIN)
+EOF
+ check_status_maybe_lose load-compiled $?
+}
+
# Test that a file compiles cleanly, with no ERRORs, WARNINGs or
# STYLE-WARNINGs.
expect_clean_compile ()
|